IoTVeganotifier запуск на Raspberry Pi4

Только ПО разработанное в Вега-Абсолют
Ответить
Испытатель
Мимо проходил
Сообщения: 1
Зарегистрирован: Пт, 27 мар 2020 09:17

IoTVeganotifier запуск на Raspberry Pi4

Сообщение Испытатель » Пт, 27 мар 2020 09:27

Добрый день!
При попытке запустить приложение Notifier на распберри с OS Raspbian, возникает ошибка, докер постоянно перезапускается:
Error response from daemon: Container 97dd54dd2f5d0d8159c3df6543fe155363c1f97a53db29cf9858373124bbd8c8 is restarting, wait until the container is running
В логах при этом:
standard_init_linux.go:211: exec user process caused "exec format error"
Прошу подсказать, возможен ли запуск приложения на ОС типа Debian/Raspbian в принципе?

Аватара пользователя
escudo
Мимо проходил
Сообщения: 9
Зарегистрирован: Чт, 27 фев 2020 01:23

Re: IoTVeganotifier запуск на Raspberry Pi4

Сообщение escudo » Пт, 27 мар 2020 12:44

Устанавливали по Quick Start c https://github.com/VegaAbsolute/IotVegaNotifier ?
На Docker Hub образ только для x86 (точнее amd64)
https://hub.docker.com/r/vegaabsolute/i ... ifier/tags
А Raspberry - это arm. Вам всего лишь нужно пересобрать контейнер прямо на Raspberry под ее архитектуру, по инструкции Self-build docker с https://github.com/VegaAbsolute/IotVegaNotifier

petrov_ab
Иногда пишу
Сообщения: 143
Зарегистрирован: Вт, 16 июл 2019 16:42
Откуда: Подмосковье

Re: IoTVeganotifier запуск на Raspberry Pi4

Сообщение petrov_ab » Пн, 30 мар 2020 20:00

У ВЕГИ есть упрощенная версия, не требующая docker (за это она не поддерживает SIP). Она правда официально недоступна, но "хорошим" людям коллеги из ВЕГИ ее рассекретили :) - надеюсь я не нарушаю авторских прав.
тут в форуме есть описание и ссылка на github:
https://github.com/VegaAbsolute/IotVega ... /tree/lite
А это ссылка на ветку обсуждения:
viewtopic.php?f=10&t=172&hilit=docker

petrov_ab
Иногда пишу
Сообщения: 143
Зарегистрирован: Вт, 16 июл 2019 16:42
Откуда: Подмосковье

Re: IoTVeganotifier запуск на Raspberry Pi4

Сообщение petrov_ab » Пн, 30 мар 2020 20:01

P.S. - именно эта версия у меня работает под Виндой, вполне устойчиво. Нужен только node.js

Ответить